Bug 249945 - net/yggdrasil: Update to 0.3.15
Summary: net/yggdrasil: Update to 0.3.15
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Loïc Bartoletti
URL: https://github.com/yggdrasil-network/...
Keywords: buildisok
Depends on:
Blocks:
 
Reported: 2020-09-27 17:33 UTC by rlwestlund
Modified: 2020-10-11 10:17 UTC (History)
4 users (show)

See Also:
freebsd: maintainer-feedback+


Attachments
diff for net/yggdrasil (6.08 KB, patch)
2020-09-27 17:33 UTC, rlwestlund
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description rlwestlund 2020-09-27 17:33:59 UTC
Created attachment 218365 [details]
diff for net/yggdrasil

v0.3.15 is released, along with a better service file. This should fix the issues with the interface not being taken down, log output being buffered, and log output from shutdown being lost, among others.
Comment 1 Neil Alexander 2020-09-27 17:35:46 UTC
Looks great, thanks for taking the time to update this!
Comment 2 Automation User 2020-09-27 17:56:39 UTC
Build info is available at https://gitlab.com/swills/freebsd-ports/pipelines/195071211
Comment 3 Fernando Apesteguía freebsd_committer 2020-09-30 06:18:06 UTC
^Triage: If there is a changelog or release notes URL available for this version, please add it to the URL field.

Thanks!
Comment 4 commit-hook freebsd_committer 2020-10-10 06:38:23 UTC
A commit references this bug:

Author: lbartoletti
Date: Sat Oct 10 06:37:37 UTC 2020
New revision: 551857
URL: https://svnweb.freebsd.org/changeset/ports/551857

Log:
  net/yggdrasil: Update to 0.3.15

  Changelog:
    - https://github.com/yggdrasil-network/yggdrasil-go/releases/tag/v0.3.15

  PR:		249945
  Submitted by:	rlwestlund@gmail.com
  Approved by:	 Neil Alexander (maintainer)

Changes:
  head/net/yggdrasil/Makefile
  head/net/yggdrasil/distinfo
  head/net/yggdrasil/files/yggdrasil.in
Comment 5 Loïc Bartoletti freebsd_committer 2020-10-11 10:17:29 UTC
Committed, thanks!